summaryrefslogtreecommitdiffstats
path: root/multimedia/GoogleEarth/GoogleEarth.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/GoogleEarth/GoogleEarth.SlackBuild')
-rw-r--r--multimedia/GoogleEarth/GoogleEarth.SlackBuild11
1 files changed, 5 insertions, 6 deletions
diff --git a/multimedia/GoogleEarth/GoogleEarth.SlackBuild b/multimedia/GoogleEarth/GoogleEarth.SlackBuild
index 11c9dac95a..51c829bc3e 100644
--- a/multimedia/GoogleEarth/GoogleEarth.SlackBuild
+++ b/multimedia/GoogleEarth/GoogleEarth.SlackBuild
@@ -26,7 +26,7 @@
# and to Daniel de Kok and Alan_Hicks for their comments.
PRGNAM=GoogleEarth
-VERSION=${VERSION:-5.2.1.1588}
+VERSION=${VERSION:-6.0.1.2032}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,7 +35,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-
# No flags/configure needed as it is just a binary repackaging.
ARCH=i486
@@ -59,7 +58,7 @@ find . \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Sadly, Google has some rather inconsistent permissions for normal files;
+# Sadly, Google has some inconsistent permissions for normal files;
# this should deal with them rather nicely.
find . \( -name "*.png" -o -name "*.kml" -o -name "*.xml" \) \
-exec chmod 0644 {} \;
@@ -67,8 +66,8 @@ find . \( -name "*.png" -o -name "*.kml" -o -name "*.xml" \) \
mv $PKG/opt/$PRGNAM/bin/googleearth $PKG/opt/$PRGNAM
rmdir $PKG/opt/$PRGNAM/bin
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+#find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+# | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Let's use the information from the included postinstall.sh
# script to create menu entry and mime stuff
@@ -80,7 +79,7 @@ cat > $DESKTOPFILE << EOF
[Desktop Entry]
Name=Google Earth
GenericName=3D planet viewer
-Comment=Explore, search and discover the planet
+Comment=Explore, search, and discover the planet
Exec=googleearth %f
Terminal=false
MultipleArgs=false